=== debian/changelog ===
normaliz (2.12.2+ds-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:32:17 +0100

normaliz (2.12.2+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #776019)

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 03 May 2015 00:56:24 +0000
