=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://www.home.uni-osnabrueck.de/wbruns/normaliz/Normaliz([\d\.]+)/Normaliz([\d\.]+)\.zip \
debian sh debian/repack
