## normaliz 3.0.0+ds

=== source/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,10 @@
 
 # The project name and the type of project
 PROJECT(libnormaliz)
-SET(MAJOR_VERSION 2)
-SET(MINOR_VERSION 12)
-SET(PATCH_VERSION 2)
-SET(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
+SET(VERSION_MAJOR 3)
+SET(VERSION_MINOR 0)
+SET(VERSION_PATCH 0)
+SET(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 SET(VERSION ${VERSION_STRING})
 
 # automatically set lib suffix, disabled for now
@@ -76,8 +76,8 @@
   SET (CXX_WARNING_FLAGS "/Wall")
   SET (CXX_OPTIMIZATION_FLAGS "/O2")
 ELSE ()
-  SET (CXX_WARNING_FLAGS "-Wall -pedantic -Wno-long-long")
-  SET (CXX_OPTIMIZATION_FLAGS "-O3 -funroll-loops")
+  SET (CXX_WARNING_FLAGS "-Wall -pedantic")
+  SET (CXX_OPTIMIZATION_FLAGS "-O3")
 ENDIF ()
 SET (NMZ_OPENMP "YES" CACHE BOOL "use openmp")
 IF (NMZ_OPENMP)
@@ -88,7 +88,7 @@
     SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
   ELSE (OPENMP_FOUND)
     MESSAGE(STATUS "Not using OpenMP, compiler does not support it")
-    SET (NMZ_OPENMP "NO")
+    SET (NMZ_OPENMP "NO" CACHE BOOL "use openmp" FORCE)
   ENDIF(OPENMP_FOUND)
 ENDIF (NMZ_OPENMP)
 IF (NOT NMZ_OPENMP)
@@ -98,19 +98,54 @@
 # add compiler flags
 SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX_WARNING_FLAGS} ${CXX_OPTIMIZATION_FLAGS}")
 
+INCLUDE_DIRECTORIES(.)
+
+IF (NOT MSVC)
+  include(CheckCXXCompilerFlag)
+  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
+  CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
+  if(COMPILER_SUPPORTS_CXX11)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+  elseif(COMPILER_SUPPORTS_CXX0X)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+  else()
+    message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support.")
+  endif()
+  IF (${APPLE})
+    IF (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND (COMPILER_SUPPORTS_CXX11 OR COMPILER_SUPPORTS_CXX0X) )
+      # using clang with new c++11 library on Apple
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
+    ENDIF ()
+  ENDIF ()
+ENDIF()
+
 # handle static compilation
 SET (NMZ_BUILD_STATIC "NO" CACHE BOOL "build normaliz statically")
 IF (NMZ_BUILD_STATIC)
   IF (${APPLE})
-    SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc")
+    IF (CMAKE_COMPILER_IS_GNUCXX)
+        SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc")
+    ENDIF (CMAKE_COMPILER_IS_GNUCXX)
     # make it compatible with older Mac versions
-    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.6")
+    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.7")
   ELSEIF (${UNIX})
     SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
   ELSE ()
     MESSAGE (FATAL_ERROR "Static linking not (yet) supported on this system")
   ENDIF ()
 ENDIF (NMZ_BUILD_STATIC)
+
+
+# handle usage of SCIP
+SET (NMZ_SCIP "NO" CACHE BOOL "Use SCIP")
+IF (NMZ_SCIP)
+  FIND_PACKAGE(SCIP REQUIRED)
+  SET (NMZ_SCIP_FLAGS "-DNMZ_SCIP")
+  INCLUDE_DIRECTORIES(${SCIP_INCLUDE_DIR})
+  MESSAGE(STATUS "Adding to compiler flags NMZ_SCIP_FLAGS=${NMZ_SCIP_FLAGS}")
+  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_SCIP_FLAGS}")
+ENDIF (NMZ_SCIP)
+
 
 # find gmp
 FIND_PACKAGE(GMP REQUIRED)
@@ -130,6 +165,40 @@
   MESSAGE(STATUS "GMPXX found with static lib : ${GMPXX_STATIC_LIBRARIES}")
 ENDIF()
 
+
+# handle offload to mic (intel xeon phi)
+SET (NMZ_MIC_OFFLOAD "NO" CACHE BOOL "Use offload to mic (intel xeon phi)")
+IF (NMZ_MIC_OFFLOAD)
+  IF ( NOT UNIX OR APPLE )
+    MESSAGE (FATAL_ERROR "Offload to mic only supported on Linux")
+  ENDIF()
+  IF ( NMZ_SCIP )
+    MESSAGE (FATAL_ERROR "Simultaneous use of offload and scip not supported")
+  ENDIF()
+
+  # find gmp for mic
+  FIND_PACKAGE(MIC_GMP REQUIRED)
+  INCLUDE_DIRECTORIES(${MIC_GMP_INCLUDE_DIR})  #probably not the correct place
+  IF (MIC_GMP_FOUND)
+    MESSAGE(STATUS "MIC_GMP found with include dir: ${MIC_GMP_INCLUDE_DIR}")
+    MESSAGE(STATUS "MIC_GMP found with lib dir: ${MIC_GMP_LIBRARIES_DIR}")
+    MESSAGE(STATUS "MIC_GMP found with lib : ${MIC_GMP_LIBRARIES}")
+    MESSAGE(STATUS "MIC_GMP found with static lib : ${MIC_GMP_STATIC_LIBRARIES}")
+  ENDIF()
+  FIND_PACKAGE(MIC_GMPXX REQUIRED)
+  INCLUDE_DIRECTORIES(${MIC_GMPXX_INCLUDE_DIR}) #probably not the correct place
+  IF (MIC_GMPXX_FOUND)
+    MESSAGE(STATUS "MIC_GMPXX found with include dir: ${MIC_GMPXX_INCLUDE_DIR}")
+    MESSAGE(STATUS "MIC_GMPXX found with lib : ${MIC_GMPXX_LIBRARIES}")
+    MESSAGE(STATUS "MIC_GMPXX found with static lib : ${MIC_GMPXX_STATIC_LIBRARIES}")
+  ENDIF()
+  SET (NMZ_MIC_FLAGS "-offload-option,mic,compiler,\"-L${MIC_GMP_LIBRARIES_DIR} -lgmpxx -lgmp\" -DNMZ_MIC_OFFLOAD")
+  SET (NMZ_MIC_FLAGS "${NMZ_MIC_FLAGS} -wd3218")
+  MESSAGE(STATUS "Adding to compiler flags NMZ_MIC_FLAGS=${NMZ_MIC_FLAGS}")
+  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_MIC_FLAGS}")
+ENDIF (NMZ_MIC_OFFLOAD)
+
+
 ADD_SUBDIRECTORY(libnormaliz)
 
 # add the normaliz executable
@@ -141,15 +210,21 @@
   #Static start and end
   SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_START_STATIC 1)
   SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_END_STATIC 1)
+  # Don't try to modify the RPATH
+  SET_TARGET_PROPERTIES(normaliz PROPERTIES INSTALL_RPATH "")
 ELSE (NMZ_BUILD_STATIC)
   TARGET_LINK_LIBRARIES (normaliz normaliz-shared)
   TARGET_LINK_LIBRARIES (normaliz ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
 ENDIF (NMZ_BUILD_STATIC)
 
+#link optional libs
+IF (NMZ_SCIP)
+  MESSAGE(STATUS "Adding scip libraries to link ${SCIP_LIBRARY}")
+  TARGET_LINK_LIBRARIES (normaliz ${SCIP_LIBRARY})
+ENDIF (NMZ_SCIP)
 
 
 INSTALL(TARGETS normaliz DESTINATION bin)
-
 
 
 #custom make targets
