=== source/libnormaliz/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 LIBSOURCES = $(wildcard *.cpp)
 LIBHEADERS = $(wildcard *.h)
+
+CXXFLAGS += -I ..
 
 default: libnormaliz.a
 
@@ -16,13 +18,19 @@
 cone_property.o: cone_property.h cone_property.cpp
 	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c cone_property.cpp -o $@
 
+offload_handler.o: $(LIBHEADERS) offload_handler.cpp
+	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c offload_handler.cpp -o $@
+
+bottom.o: $(LIBHEADERS) bottom.cpp
+	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c bottom.cpp -o $@
+
 hilbert_series.o: $(LIBHEADERS) HilbertSeries.cpp
 	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c HilbertSeries.cpp -o $@
 
 libnormaliz-templated.o: $(LIBHEADERS) $(LIBSOURCES) libnormaliz-templated.cpp
 	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c libnormaliz-templated.cpp -o $@
 
-libnormaliz.a: cone_property.o hilbert_series.o libnormaliz-templated.o
+libnormaliz.a: cone_property.o hilbert_series.o libnormaliz-templated.o bottom.o offload_handler.o
 	ar -cr $@ $^
 
 clean:
