=== debian/changelog ===
normaliz (3.0.0+ds-3ubuntu1) xenial; urgency=medium

  * Re-sync with Debian unstable.
  * Add transitional packages libnormaliz0v5 and libnormaliz0v5-dbg,
    these may be dropped in 16.10.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 Jan 2016 15:25:35 +0200

normaliz (3.0.0+ds-3) unstable; urgency=medium

  * FTBFS fix release (Closes: #806769), disable OMP support on mipsel arch.
  * Debianization:
    - debian/rule, see above.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Dec 2015 04:15:03 +0000

normaliz (3.0.0+ds-2) unstable; urgency=medium

  * FTBFS fix release (Closes: #804742).
  * Debianization:
    - debian/control, Vcs-Browser field correction;
    - debian/rules, refresh;
    - debian/patches/upstream-fix-gmp-ambiguous_call.patch, C++ ambiguity fix.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 19 Nov 2015 05:14:41 +0000

normaliz (3.0.0+ds-1) unstable; urgency=medium

  * New upstream version:
    - thanks for the upstream maintainer team for rendering further the
      upstream source more suitable for distribution packaging;
    - and for integrating the last upstream debian patches.
  * Upload to unstable.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, refresh;
    - debian/watch:
      - update;
    - debian/rules:
      - refresh;
    - debian/patches/*:
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 11 Oct 2015 05:27:10 +0000

normaliz (2.99.4+ds-1) experimental; urgency=medium

  * New upstream version:
    - thanks for the upstream maintainer team for rendering the upstream
      source more suitable for distribution packaging;
    - and for integrating most of the upstream debian patches.
  * Debianization:
    - debian/control:
      - refresh;
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
    - debian/rules:
      - software test suite, ad-hoc check;
      - refresh;
    - debian/patches/*:
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 02 Sep 2015 02:42:52 +0000
