=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
  cmake, help2man,
  libgmp-dev, libboost-dev
 Build-Depends-Indep:
- texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended, texlive-fonts-extra
+ texlive-latex-base, texlive-latex-recommended, texlive-pictures,
+ texlive-fonts-recommended, texlive-fonts-extra
 Standards-Version: 3.9.6
 Homepage: http://www.math.uos.de/normaliz/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/normaliz.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/normaliz.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/normaliz.git
 
 Package: normaliz
 Architecture: any
@@ -25,15 +26,14 @@
  .
  This dummy package provides the standard installation.
 
-Package: libnormaliz0v5
+Package: libnormaliz0
 Provides: libnormaliz
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libnormaliz0, libnormaliz
+Conflicts: libnormaliz
 Multi-Arch: same
-Replaces: libnormaliz0
 Description: math computing tools for affine monoids, rational polytopes and cones - libs
  Normaliz is a mathematical tool for computations in affine monoids, vector
  configurations, lattice polytopes, and rational cones.
@@ -46,7 +46,7 @@
 Provides: libnormaliz-dev
 Section: libdevel
 Architecture: any
-Depends: libnormaliz0v5 (= ${binary:Version}), libnormaliz0-dev-common (= ${source:Version}), ${misc:Depends}
+Depends: libnormaliz0 (= ${binary:Version}), libnormaliz0-dev-common (= ${source:Version}), ${misc:Depends}
 Conflicts: libnormaliz-dev
 Suggests: normaliz-bin (= ${binary:Version})
 Multi-Arch: same
@@ -71,7 +71,7 @@
 
 Package: normaliz-bin
 Architecture: any
-Depends: libnormaliz0v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnormaliz0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: normaliz-doc (= ${binary:Version})
 Multi-Arch: foreign
 Description: math computing tools for affine monoids, rational polytopes and cones - bin
@@ -80,16 +80,15 @@
  .
  This package provides the command line utility normaliz.
 
-Package: libnormaliz0v5-dbg
+Package: libnormaliz0-dbg
 Provides: libnormaliz-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libnormaliz0v5 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libnormaliz0-dbg, libnormaliz-dbg
+Depends: libnormaliz0 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libnormaliz-dbg
 Suggests: pkg-config
 Multi-Arch: same
-Replaces: libnormaliz0-dbg
 Description: math computing tools for affine monoids, rational polytopes and cones - debug
  Normaliz is a mathematical tool for computations in affine monoids, vector
  configurations, lattice polytopes, and rational cones.
@@ -109,3 +108,23 @@
  .
  This package provides the user guide for the normaliz tool suite;
  it also contains examples.
+
+Package: libnormaliz0v5
+Section: oldlibs
+Architecture: any
+Depends: libnormaliz0 (= ${binary:Version})
+Description: math computing tools for affine monoids, rational polytopes and cones - doc
+ Normaliz is a mathematical tool for computations in affine monoids, vector
+ configurations, lattice polytopes, and rational cones.
+ .
+ This is a transitional package and can safely be removed.
+
+Package: libnormaliz0v5-dbg
+Section: oldlibs
+Architecture: any
+Depends: libnormaliz0-dbg (= ${binary:Version})
+Description: math computing tools for affine monoids, rational polytopes and cones - doc
+ Normaliz is a mathematical tool for computations in affine monoids, vector
+ configurations, lattice polytopes, and rational cones.
+ .
+ This is a transitional package and can safely be removed.
