=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,repacksuffix=+ds \
http://www.home.uni-osnabrueck.de/wbruns/normaliz/Normaliz([\d\.]+)/Normaliz([\d\.]+)Source\.zip
